function SlideSmokeUpdate (me)

	if IsPlaying(GetPlayer(), "Slide") == false and IsPlaying(me, "Stand")
	then
		ChangeAnimation(me, "Disappear")
		SetParent(me, 0)
	end
	
	if EndOfAnimation(me) and IsPlaying(me, "Disappear")
	then
		Kill(me)
	end
end